Package Details: sdl2-rpi 2.0.10-1

Git Clone URL: https://aur.archlinux.org/sdl2-rpi.git (read-only, click to copy)
Package Base: sdl2-rpi
Description: SDL2 using the accelerated broadcom driver for Raspbery Pi 0, 1, 2 & 3 - fullscreen without X. Also suports the opensource vc4-(f)kms-v3d driver in both standalone mode and in X11.
Upstream URL: https://www.libsdl.org
Licenses: MIT
Conflicts: sdl2
Provides: sdl2
Submitter: zertyz
Maintainer: zertyz
Last Packager: zertyz
Votes: 1
Popularity: 0.000002
First Submitted: 2019-08-14 18:57
Last Updated: 2019-08-14 21:16

Dependencies (23)

Required by (769)

Sources (1)

Latest Comments

zertyz commented on 2021-03-13 13:24

I didn't try this on aarch64 bits.

This package links SDL to the legacy (binary only) Broadcomm drivers.

I guess the binary drivers don't work on aarch64, but you could give it a shot.

I also believe this PKGBUILD file is ready for compilation in Raspberry Pi 3 aarch64 -- if not (or if you want it on Raspberry Pi 4), just edit this PKGBUILD and add the right entry for rPi4 (in the "arch=..." line) -- sorry, I don't know what it is since I still don't have one.

adomas commented on 2021-03-13 01:49

Does this work on aarch64? What changes do I need to make to get it working?

zertyz commented on 2019-08-14 18:59

Raspberry Pi users should prefer this package over the one originally supplied by archlinuxarm